package com.yihu.wlyy.entity.patient;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 患者检查建议表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_patient_inspection_suggest")
public class PatientInspectionSuggest extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2851005484946911952L;

	// 患者标识
	private String patient;
	// 医生标识
	private String doctor;
	// 医生姓名
	private String doctorName;
	// 咨询标识
	private String consult;
	// 咨询类型：1三师咨询（即时咨询），2视频咨询
	private Integer type;
	// 建议内容
	private String content;
	// 添加时间
	private Date czrq;
	// 作废标识：1正常，0作废
	private String del;

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "doctor_name")
	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public String getConsult() {
		return consult;
	}

	public void setConsult(String consult) {
		this.consult = consult;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
